<?php
/**
 * AuthInputObjectTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the model.
 */

namespace text-magic;

/**
 * AuthInputObjectTest Class Doc Comment
 *
 * @category    Class
 * @description AuthInputObject
 * @package     text-magic
 * @author      Swagger Codegen team
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class AuthInputObjectTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "AuthInputObject"
     */
    public function testAuthInputObject()
    {
    }

    /**
     * Test attribute "username"
     */
    public function testPropertyUsername()
    {
    }

    /**
     * Test attribute "password"
     */
    public function testPropertyPassword()
    {
    }

    /**
     * Test attribute "appName"
     */
    public function testPropertyAppName()
    {
    }

    /**
     * Test attribute "appVersion"
     */
    public function testPropertyAppVersion()
    {
    }

    /**
     * Test attribute "deviceId"
     */
    public function testPropertyDeviceId()
    {
    }

    /**
     * Test attribute "pushServiceType"
     */
    public function testPropertyPushServiceType()
    {
    }

    /**
     * Test attribute "tfaCode"
     */
    public function testPropertyTfaCode()
    {
    }

    /**
     * Test attribute "tfaId"
     */
    public function testPropertyTfaId()
    {
    }
}
